Bug 574241 - [abrt] crash in epiphany-2.28.2-1.fc12: Process /usr/bin/epiphany was killed by signal 6 (SIGABRT)
[abrt] crash in epiphany-2.28.2-1.fc12: Process /usr/bin/epiphany was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:62ec1482724cdb4d849db6401c7...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-16 18:23 EDT by Paul Lange
Modified: 2010-12-03 12:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 12:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.22 KB, text/plain)
2010-03-16 18:23 EDT, Paul Lange
no flags Details

  None (edit)
Description Paul Lange 2010-03-16 18:23:17 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: epiphany
comment: I visited www.bahn.de which is the official webpoage of the german railroad, so the is a rather important website. However firstly the window freezes and after some more time the x-sever crashes. (At least this is what I think, the screen gets black and gdm shows up)
component: epiphany
executable: /usr/bin/epiphany
kernel: 2.6.31.12-174.2.22.fc12.i686
package: epiphany-2.28.2-1.fc12
rating: 4
reason: Process /usr/bin/epiphany was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. go to www.bahn.de (german railroad)
2. wait around 5 seconds, the browser window will freeze
3. wait a bit more and the x-server will crash
Comment 1 Paul Lange 2010-03-16 18:23:21 EDT
Created attachment 400584 [details]
File: backtrace
Comment 2 Chris Campbell 2010-04-10 13:56:51 EDT
#3  0x00566be8 in __assert_fail (assertion=<value optimized out>, 
    file=<value optimized out>, line=<value optimized out>, 
    function=<value optimized out>) at assert.c:81
        buf = 
    0x90f2870 "epiphany: xcb_io.c:378: _XAllocID: Zusicherung \302\273ret != inval_id\302\253 nicht erf\303\274llt.\n"
#4  0x008e2c0a in _XAllocID (dpy=0x8a92e00) at xcb_io.c:378
        ret = 4294967295
        __PRETTY_FUNCTION__ = "_XAllocID"
#5  0x008b7f19 in XCreatePixmap (dpy=<value optimized out>, 
    d=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>, depth=<value optimized out>)
    at CrPixmap.c:58
No locals.
#6  0x07bdde63 in _cairo_xlib_surface_create_similar_with_format (
    abstract_src=0x8b8ccb8, format=<value optimized out>, width=980, height=
    304) at cairo-xlib-surface.c:155
        dpy = 0x8a92e00
        pix = 145305088
        xrender_format = <value optimized out>
#7  0x07be2d24 in _cairo_xlib_surface_clone_similar (abstract_surface=
    0x8b8ccb8, src=0x9119c00, src_x=0, src_y=0, width=980, height=304, 
    clone_offset_x=0xbf945eb0, clone_offset_y=0xbf945eb8, clone_out=
    0xbf94622c) at cairo-xlib-surface.c:1201
        status = <value optimized out>
#8  0x07bc75df in _cairo_surface_clone_similar (surface=0x8b8ccb8, src=
    0x9119c00, src_x=0, src_y=0, width=980, height=304, clone_offset_x=
    0xbf945eb0, clone_offset_y=0xbf945eb8, clone_out=0xbf94622c)
    at cairo-surface.c:1146
        status = <value optimized out>
        image = <value optimized out>
        image_extra = <value optimized out>
#9  0x07bbd713 in _cairo_pattern_acquire_surface_for_surface (pattern=
    0xbf94600c, dst=0x8b8ccb8, x=141, y=134, width=980, height=304, 
    surface_out=0xbf94622c, attributes=0xbf9461d8) at cairo-pattern.c:1959
        extents = {x = 0, y = 0, width = 980, height = 304}
        tx = -141
        ty = -134
        pad = 0



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-04-10 13:58:34 EDT
Not a dupe of anything I can find, good back-trace and reproduction steps. Setting keyword and status.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2010-11-03 15:28:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 12:13:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.